Bug 868901 - Update Spring version to 3.0.7.RELEASE
Update Spring version to 3.0.7.RELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Errai (Show other bugs)
Unspecified Unspecified
medium Severity medium
: CR1
: 2.1.0
Assigned To: Pavel SLegr
Karel Piwko
Depends On:
  Show dependency treegraph
Reported: 2012-10-22 08:19 EDT by Karel Piwko
Modified: 2012-11-30 10:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-30 10:34:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-10-22 08:19:52 EDT
Description of problem:

Spring version used in Errai (3.0.6.RELEASE) does not match the version used in WFK 2.1.0. Please update all Spring versions used in Errai to 3.0.7.RELEASE.

Note: update to Spring 3.1 seems too intrusive.
Comment 1 Karel Piwko 2012-10-22 08:40:35 EDT
In the examples, gwt-maven-plugin uses Spring 3.0.5.RELEASE transitively. All usages of the plugin in the examples should have plugin configuration augmented to use 3.0.7.RELEASE instead.
Comment 2 Pavel SLegr 2012-10-22 08:42:44 EDT
ok will update to 3.0.7.RELEASE
Comment 3 Tomas Repel 2012-10-25 05:32:37 EDT
I searched for all occurrences of gwt-maven-plugin, the spring version has to be updated here:


Hopefully I didn't miss anything.
Comment 4 Pavel SLegr 2012-10-25 05:43:42 EDT
fixed with: http://git.app.eng.bos.redhat.com/?p=errai/errai.git;a=commit;h=bb2c9f1261e84d90012e2cd99361058cf86b86cc for release branch
ticket monster & quickstarts still todo.
Comment 5 Vaclav Dedik 2012-10-31 05:33:30 EDT
We do not align versions of plugin's dependencies for quickstarts, so this is not necessary for either ticket monster, helloworld-errai or helloworld-gwt.
Comment 8 Tomas Repel 2012-11-07 12:00:37 EST
Verified in WFK 2.1.0.CR1.
Comment 9 Karel Piwko 2012-11-30 10:34:15 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.